On this page
Create a new recipe
POST /api/v1/recipesRequired Scopes
write
Request Body
Content-Type: application/json
Schema: object
| Field | Type | Required | Description |
|---|---|---|---|
recipe |
recipe_create_input |
no |
Responses
201
recipe created
Schema: recipe_output
recipe_output
| Field | Type | Required | Description |
|---|---|---|---|
id |
integer | yes | |
slug |
string | yes | |
name |
string | yes | |
description |
string | yes | |
description_html |
string | yes | |
locale |
string | yes | |
serving |
integer | yes | |
serving_type |
string | yes | |
visibility |
string | yes | |
account |
account_output |
yes | |
likes_count |
integer | yes | |
boosts_count |
integer | yes | |
liked |
boolean | yes | |
boosted |
boolean | yes | |
ingredients |
array[object] | yes | |
steps |
array[] | yes |
422
invalid request
Schema: errors
errors
| Field | Type | Required | Description |
|---|---|---|---|
errors |
object | yes |
